#pragma once

#include "CoreMinimal.h"
#include "StatusEffect.h"
#include "Templates/SubclassOf.h"
#include "K36FlyingCollisionDisablerStatusEffects.generated.h"

class UIgnoreWindowsCollisionsComponent;
class UIgnorePalletsCollisionsComponent;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK36FlyingCollisionDisablerStatusEffects : public UStatusEffect
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UIgnoreWindowsCollisionsComponent> _ignoreWindowsCollisionsComponentClass;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	UIgnoreWindowsCollisionsComponent* _ignoreWindowsCollisionsComponent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UIgnorePalletsCollisionsComponent> _ignorePalletsCollisionsComponentClass;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	UIgnorePalletsCollisionsComponent* _ignorePalletsCollisionsComponent;

public:
	UK36FlyingCollisionDisablerStatusEffects();
};

FORCEINLINE uint32 GetTypeHash(const UK36FlyingCollisionDisablerStatusEffects) { return 0; }
